Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IViewLayout

public interface IViewLayout

Represents the layout info for a view or placeholder in an `IPageLayout`.

Since:
  3.0

Method Summary
`boolean` | `getShowTitle()` Returns whether the view shows its title.
`boolean` | `isCloseable()` Returns whether the view is closeable.
`boolean` | `isMoveable()` Returns whether the view is moveable.
`boolean` | `isStandalone()` Returns whether the view is a standalone view.
`void` | `setCloseable(boolean closeable)` Sets whether the view is closeable.
`void` | `setMoveable(boolean moveable)` Sets whether the view is moveable.

Method Detail

### isCloseable

    public boolean isCloseable()

  Returns whether the view is closeable. The default is `true`.

  Returns:
    `true` if the view is closeable, `false` if not

### setCloseable

    public void setCloseable(boolean closeable)

  Sets whether the view is closeable.

  Parameters:
    `closeable` - `true` if the view is closeable, `false` if not

### isMoveable

    public boolean isMoveable()

  Returns whether the view is moveable. The default is `true`.

  Returns:
    `true` if the view is moveable, `false` if not

### setMoveable

    public void setMoveable(boolean moveable)

  Sets whether the view is moveable.

  Parameters:
    `moveable` - `true` if the view is moveable, `false` if not

### isStandalone

    public boolean isStandalone()

  Returns whether the view is a standalone view.

  See Also:
    `IPageLayout.addStandaloneView(java.lang.String, boolean, int, float, java.lang.String)`

### getShowTitle

    public boolean getShowTitle()

  Returns whether the view shows its title. This is only applicable to standalone views.

  See Also:
    `IPageLayout.addStandaloneView(java.lang.String, boolean, int, float, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.